/vercel-projects | Type: Application | PCID required: Yes
Tools
vercel_projects_accept_project_transfer_request
Accept project transfer request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
code | string | Yes | — | The code of the project transfer request. |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
acceptedPolicies | object | No | — | Accepted Policies |
newProjectName | string | No | — | The desired name for the project |
paidFeatures | object | No | — | Paid Features |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"code": {
"type": "string",
"description": "The code of the project transfer request."
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"acceptedPolicies": {
"type": "object",
"description": "Accepted Policies"
},
"newProjectName": {
"type": "string",
"description": "The desired name for the project"
},
"paidFeatures": {
"type": "object",
"description": "Paid Features",
"properties": {
"concurrentBuilds": {
"type": "integer",
"description": "Concurrent Builds"
},
"passwordProtection": {
"type": "boolean",
"description": "Password Protection"
},
"previewDeploymentSuffix": {
"type": "boolean",
"description": "Preview Deployment Suffix"
}
}
}
},
"required": [
"PCID",
"code"
]
}
vercel_projects_add_project_domain
Add a domain to a project Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
idOrName | string | Yes | — | The unique project identifier or the project name | |
teamId | string | No | — | The Team identifier to perform the request on behalf of. | |
slug | string | No | — | The Team slug to perform the request on behalf of. | |
customEnvironmentId | string | No | — | The unique custom environment identifier within the project | |
gitBranch | string | null | No | — | Git branch to link the project domain |
name | string | Yes | — | The project domain name | |
redirect | string | null | No | — | Target destination domain for redirect |
redirectStatusCode | integer | null | No | — | Status code for domain redirect |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"idOrName": {
"type": "string",
"description": "The unique project identifier or the project name"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"customEnvironmentId": {
"type": "string",
"description": "The unique custom environment identifier within the project"
},
"gitBranch": {
"type": [
"string",
"null"
],
"description": "Git branch to link the project domain"
},
"name": {
"type": "string",
"description": "The project domain name"
},
"redirect": {
"type": [
"string",
"null"
],
"description": "Target destination domain for redirect"
},
"redirectStatusCode": {
"type": [
"integer",
"null"
],
"description": "Status code for domain redirect",
"enum": [
301,
302,
307,
308
]
}
},
"required": [
"PCID",
"idOrName",
"name"
]
}
vercel_projects_add_project_member
Adds a new member to a project. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
idOrName | string | Yes | — | The ID or name of the Project. |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
email | string | No | — | The email of the team member that should be added to this project. |
role | string | Yes | — | The project role of the member that will be added. |
uid | string | No | — | The ID of the team member that should be added to this project. |
username | string | No | — | The username of the team member that should be added to this project. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"idOrName": {
"type": "string",
"description": "The ID or name of the Project."
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"email": {
"type": "string",
"description": "The email of the team member that should be added to this project."
},
"role": {
"type": "string",
"description": "The project role of the member that will be added.",
"enum": [
"ADMIN",
"PROJECT_VIEWER",
"PROJECT_DEVELOPER"
]
},
"uid": {
"type": "string",
"description": "The ID of the team member that should be added to this project."
},
"username": {
"type": "string",
"description": "The username of the team member that should be added to this project."
}
},
"required": [
"PCID",
"idOrName",
"role"
]
}
vercel_projects_batch_remove_project_env
Batch remove environment variables Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
idOrName | string | Yes | — | The unique project identifier or the project name |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
ids | string[] | Yes | — | Array of environment variable IDs to delete |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"idOrName": {
"type": "string",
"description": "The unique project identifier or the project name"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"ids": {
"type": "array",
"items": {
"type": "string"
},
"description": "Array of environment variable IDs to delete"
}
},
"required": [
"PCID",
"idOrName",
"ids"
]
}
vercel_projects_create_custom_environment
Create a custom environment for the current project. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
idOrName | string | Yes | — | The unique project identifier or the project name |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
branchMatcher | object | No | — | How we want to determine a matching branch. This is optional. |
copyEnvVarsFrom | string | No | — | Where to copy environment variables from. This is optional. |
description | string | No | — | Description of the custom environment. This is optional. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"idOrName": {
"type": "string",
"description": "The unique project identifier or the project name"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"branchMatcher": {
"type": "object",
"description": "How we want to determine a matching branch. This is optional.",
"properties": {
"type": {
"description": "Type of matcher. One of \\\"equals\\\", \\\"startsWith\\\", or \\\"endsWith\\\".",
"enum": [
"equals",
"startsWith",
"endsWith"
]
},
"pattern": {
"type": "string",
"description": "Git branch name or portion thereof."
}
},
"required": [
"type",
"pattern"
]
},
"copyEnvVarsFrom": {
"type": "string",
"description": "Where to copy environment variables from. This is optional."
},
"description": {
"type": "string",
"description": "Description of the custom environment. This is optional."
}
},
"required": [
"PCID",
"idOrName"
]
}
vercel_projects_create_project
Create a new project Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
teamId | string | No | — | The Team identifier to perform the request on behalf of. | |
slug | string | No | — | The Team slug to perform the request on behalf of. | |
buildCommand | string | null | No | — | The build command for this project. When null is used this value will be automatically detected |
commandForIgnoringBuildStep | string | null | No | — | Command For Ignoring Build Step |
devCommand | string | null | No | — | The dev command for this project. When null is used this value will be automatically detected |
enableAffectedProjectsDeployments | boolean | No | — | Opt-in to skip deployments when there are no changes to the root directory and its dependencies | |
enablePreviewFeedback | boolean | null | No | — | Opt-in to preview toolbar on the project level |
enableProductionFeedback | boolean | null | No | — | Opt-in to production toolbar on the project level |
environmentVariables | object[] | No | — | Collection of ENV Variables the Project will use | |
framework | object | No | — | The framework that is being used for this project. When null is used no framework is selected | |
gitRepository | object | No | — | The Git Repository that will be connected to the project. When this is defined, any pushes to the specified connected Git Repository will be automatically deployed | |
installCommand | string | null | No | — | The install command for this project. When null is used this value will be automatically detected |
name | string | Yes | — | The desired name for the project | |
oidcTokenConfig | object | No | — | OpenID Connect JSON Web Token generation configuration. | |
outputDirectory | string | null | No | — | The output directory of the project. When null is used this value will be automatically detected |
previewDeploymentsDisabled | boolean | null | No | — | Specifies whether preview deployments are disabled for this project. |
previewDeploymentSuffix | string | null | No | — | Custom domain suffix for preview deployments. Takes precedence over team-level suffix. Must be a domain owned by the team. |
publicSource | boolean | null | No | — | Specifies whether the source code and logs of the deployments for this project should be public or not |
resourceConfig | object | No | — | Specifies resource override configuration for the project | |
rootDirectory | string | null | No | — | The name of a directory or relative path to the source code of your project. When null is used it will default to the project root |
serverlessFunctionRegion | string | null | No | — | The region to deploy Serverless Functions in this project |
serverlessFunctionZeroConfigFailover | boolean | No | — | Specifies whether Zero Config Failover is enabled for this project. | |
skipGitConnectDuringLink | boolean | No | — | Opts-out of the message prompting a CLI user to connect a Git repository in vercel link. | |
ssoProtection | object | No | — | The Vercel Auth setting for the project (historically named “SSO Protection”) |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"buildCommand": {
"type": [
"string",
"null"
],
"description": "The build command for this project. When `null` is used this value will be automatically detected"
},
"commandForIgnoringBuildStep": {
"type": [
"string",
"null"
],
"description": "Command For Ignoring Build Step"
},
"devCommand": {
"type": [
"string",
"null"
],
"description": "The dev command for this project. When `null` is used this value will be automatically detected"
},
"enableAffectedProjectsDeployments": {
"type": "boolean",
"description": "Opt-in to skip deployments when there are no changes to the root directory and its dependencies"
},
"enablePreviewFeedback": {
"type": [
"boolean",
"null"
],
"description": "Opt-in to preview toolbar on the project level"
},
"enableProductionFeedback": {
"type": [
"boolean",
"null"
],
"description": "Opt-in to production toolbar on the project level"
},
"environmentVariables": {
"type": "array",
"items": {
"type": "object",
"properties": {
"key": {
"type": "string",
"description": "Name of the ENV variable"
},
"target": {
"description": "Deployment Target or Targets in which the ENV variable will be used"
},
"gitBranch": {
"type": "string",
"description": "If defined, the git branch of the environment variable (must have target=preview)"
},
"type": {
"type": "string",
"enum": [
"system",
"encrypted",
"plain",
"sensitive"
],
"description": "Type of the ENV variable"
},
"value": {
"type": "string",
"description": "Value for the ENV variable"
}
},
"required": [
"key",
"value",
"target"
]
},
"description": "Collection of ENV Variables the Project will use"
},
"framework": {
"description": "The framework that is being used for this project. When `null` is used no framework is selected",
"enum": [
"services",
"blitzjs",
"nextjs",
"gatsby",
"remix",
"react-router",
"astro",
"hexo",
"eleventy",
"docusaurus-2",
"docusaurus",
"preact",
"solidstart-1",
"solidstart",
"dojo",
"ember",
"vue",
"scully",
"ionic-angular",
"angular",
"polymer",
"svelte",
"sveltekit",
"sveltekit-1",
"ionic-react",
"create-react-app",
"gridsome",
"umijs",
"sapper",
"saber",
"stencil",
"nuxtjs",
"redwoodjs",
"hugo",
"jekyll",
"brunch",
"middleman",
"zola",
"hydrogen",
"vite",
"tanstack-start",
"vitepress",
"vuepress",
"parcel",
"fastapi",
"flask",
"fasthtml",
"django",
"sanity-v3",
"sanity",
"storybook",
"nitro",
"hono",
"express",
"h3",
"koa",
"nestjs",
"elysia",
"fastify",
"xmcp",
"python",
"ruby",
"rust",
"node",
"go"
]
},
"gitRepository": {
"type": "object",
"description": "The Git Repository that will be connected to the project. When this is defined, any pushes to the specified connected Git Repository will be automatically deployed",
"properties": {
"repo": {
"type": "string",
"description": "The name of the git repository. For example: \\\"vercel/next.js\\\""
},
"type": {
"description": "The Git Provider of the repository",
"enum": [
"github",
"github-limited",
"gitlab",
"bitbucket",
"vercel"
]
}
},
"required": [
"type",
"repo"
]
},
"installCommand": {
"type": [
"string",
"null"
],
"description": "The install command for this project. When `null` is used this value will be automatically detected"
},
"name": {
"type": "string",
"description": "The desired name for the project"
},
"oidcTokenConfig": {
"type": "object",
"description": "OpenID Connect JSON Web Token generation configuration.",
"properties": {
"enabled": {
"type": "boolean",
"description": "Whether or not to generate OpenID Connect JSON Web Tokens."
},
"issuerMode": {
"type": "string",
"description": "team: `https://oidc.vercel.com/[team_slug]` global: `https://oidc.vercel.com`",
"enum": [
"team",
"global"
]
}
}
},
"outputDirectory": {
"type": [
"string",
"null"
],
"description": "The output directory of the project. When `null` is used this value will be automatically detected"
},
"previewDeploymentsDisabled": {
"type": [
"boolean",
"null"
],
"description": "Specifies whether preview deployments are disabled for this project."
},
"previewDeploymentSuffix": {
"type": [
"string",
"null"
],
"description": "Custom domain suffix for preview deployments. Takes precedence over team-level suffix. Must be a domain owned by the team."
},
"publicSource": {
"type": [
"boolean",
"null"
],
"description": "Specifies whether the source code and logs of the deployments for this project should be public or not"
},
"resourceConfig": {
"type": "object",
"description": "Specifies resource override configuration for the project",
"properties": {
"fluid": {
"type": "boolean",
"description": "The fluid value"
},
"functionDefaultRegions": {
"type": "array",
"items": {
"type": "string"
},
"description": "The regions to deploy Vercel Functions to for this project"
},
"functionDefaultTimeout": {
"type": "number",
"description": "Function Default Timeout"
},
"functionDefaultMemoryType": {
"description": "Function Default Memory Type",
"enum": [
"standard_legacy",
"standard",
"performance"
]
},
"functionZeroConfigFailover": {
"type": "boolean",
"description": "Specifies whether Zero Config Failover is enabled for this project."
},
"elasticConcurrencyEnabled": {
"type": "boolean",
"description": "Elastic Concurrency Enabled"
},
"buildMachineType": {
"description": "Build Machine Type",
"enum": [
"enhanced",
"turbo",
"standard"
]
},
"buildMachineSelection": {
"description": "Build Machine Selection",
"enum": [
"elastic",
"fixed"
]
},
"buildMachineElasticLastUpdated": {
"type": "number",
"description": "Build Machine Elastic Last Updated"
},
"isNSNBDisabled": {
"type": "boolean",
"description": "Is NSNB Disabled"
},
"buildQueue": {
"type": "object",
"description": "Build Queue"
}
}
},
"rootDirectory": {
"type": [
"string",
"null"
],
"description": "The name of a directory or relative path to the source code of your project. When `null` is used it will default to the project root"
},
"serverlessFunctionRegion": {
"type": [
"string",
"null"
],
"description": "The region to deploy Serverless Functions in this project"
},
"serverlessFunctionZeroConfigFailover": {
"type": "boolean",
"description": "Specifies whether Zero Config Failover is enabled for this project."
},
"skipGitConnectDuringLink": {
"type": "boolean",
"description": "Opts-out of the message prompting a CLI user to connect a Git repository in `vercel link`."
},
"ssoProtection": {
"type": "object",
"description": "The Vercel Auth setting for the project (historically named \\\"SSO Protection\\\")",
"properties": {
"deploymentType": {
"type": "string",
"description": "Deployment Type",
"enum": [
"all",
"preview",
"prod_deployment_urls_and_all_previews",
"all_except_custom_domains"
]
}
},
"required": [
"deploymentType"
]
}
},
"required": [
"PCID",
"name"
]
}
vercel_projects_create_project_env
Create one or more environment variables Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
idOrName | string | Yes | — | The unique project identifier or the project name |
upsert | string | No | — | Allow override of environment variable if it already exists |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
body | object[] | Yes | — | Request body |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"idOrName": {
"type": "string",
"description": "The unique project identifier or the project name"
},
"upsert": {
"type": "string",
"description": "Allow override of environment variable if it already exists"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"body": {
"type": "array",
"items": {
"type": "object",
"properties": {
"key": {
"type": "string",
"description": "The name of the environment variable"
},
"value": {
"type": "string",
"description": "The value of the environment variable"
},
"type": {
"type": "string",
"enum": [
"system",
"encrypted",
"plain",
"sensitive"
],
"description": "The type of environment variable"
},
"target": {
"type": "array",
"description": "The target environment of the environment variable"
},
"gitBranch": {
"type": "string",
"description": "If defined, the git branch of the environment variable (must have target=preview)"
},
"comment": {
"type": "string",
"description": "A comment to add context on what this environment variable is for"
},
"customEnvironmentIds": {
"type": "array",
"items": {
"type": "string"
},
"description": "The custom environment IDs associated with the environment variable"
}
},
"required": [
"key",
"value",
"type"
]
},
"description": "Request body"
}
},
"required": [
"PCID",
"idOrName",
"body"
]
}
vercel_projects_create_project_transfer_request
Create project transfer request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
idOrName | string | Yes | — | The ID or name of the project to transfer. |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
callbackSecret | string | No | — | The secret to use to sign the webhook payload with HMAC-SHA256. |
callbackUrl | string | No | — | The URL to send a webhook to when the transfer is accepted. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"idOrName": {
"type": "string",
"description": "The ID or name of the project to transfer."
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"callbackSecret": {
"type": "string",
"description": "The secret to use to sign the webhook payload with HMAC-SHA256."
},
"callbackUrl": {
"type": "string",
"description": "The URL to send a webhook to when the transfer is accepted."
}
},
"required": [
"PCID",
"idOrName"
]
}
vercel_projects_create_shared_env_variable
Create one or more shared environment variables Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
evs | object[] | Yes | — | The evs value |
projectId | string[] | No | — | Associate a Shared Environment Variable to projects. |
target | object[] | No | — | The target environment of the Shared Environment Variable |
type | string | No | — | The type of environment variable |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"evs": {
"type": "array",
"items": {
"type": "object",
"properties": {
"key": {
"type": "string",
"description": "The name of the Shared Environment Variable"
},
"value": {
"type": "string",
"description": "The value of the Shared Environment Variable"
},
"comment": {
"type": "string",
"description": "A comment to add context on what this Shared Environment Variable is for"
}
},
"required": [
"key",
"value"
]
},
"description": "The evs value"
},
"projectId": {
"type": "array",
"items": {
"type": "string"
},
"description": "Associate a Shared Environment Variable to projects."
},
"target": {
"type": "array",
"items": {
"enum": [
"production",
"preview",
"development"
]
},
"description": "The target environment of the Shared Environment Variable"
},
"type": {
"type": "string",
"description": "The type of environment variable",
"enum": [
"encrypted",
"sensitive"
]
}
},
"required": [
"PCID",
"evs"
]
}
vercel_projects_delete_project
Delete a Project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
idOrName | string | Yes | — | The unique project identifier or the project name |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"idOrName": {
"type": "string",
"description": "The unique project identifier or the project name"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"idOrName"
]
}
vercel_projects_delete_shared_env_variable
Delete one or more Env Var Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
ids | string[] | Yes | — | IDs of the Shared Environment Variables to delete |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"ids": {
"type": "array",
"items": {
"type": "string"
},
"description": "IDs of the Shared Environment Variables to delete"
}
},
"required": [
"PCID",
"ids"
]
}
vercel_projects_edit_project_env
Edit an environment variable Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
idOrName | string | Yes | — | The unique project identifier or the project name | |
id | string | Yes | — | The unique environment variable identifier | |
teamId | string | No | — | The Team identifier to perform the request on behalf of. | |
slug | string | No | — | The Team slug to perform the request on behalf of. | |
comment | string | No | — | A comment to add context on what this env var is for | |
customEnvironmentIds | string[] | No | — | The custom environments that the environment variable should be synced to | |
gitBranch | string | null | No | — | If defined, the git branch of the environment variable (must have target=preview) |
key | string | No | — | The name of the environment variable | |
target | object[] | No | — | The target environment of the environment variable | |
type | string | No | — | The type of environment variable | |
value | string | No | — | The value of the environment variable |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"idOrName": {
"type": "string",
"description": "The unique project identifier or the project name"
},
"id": {
"type": "string",
"description": "The unique environment variable identifier"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"comment": {
"type": "string",
"description": "A comment to add context on what this env var is for"
},
"customEnvironmentIds": {
"type": "array",
"items": {
"type": "string"
},
"description": "The custom environments that the environment variable should be synced to"
},
"gitBranch": {
"type": [
"string",
"null"
],
"description": "If defined, the git branch of the environment variable (must have target=preview)"
},
"key": {
"type": "string",
"description": "The name of the environment variable"
},
"target": {
"type": "array",
"items": {
"enum": [
"production",
"preview",
"development"
]
},
"description": "The target environment of the environment variable"
},
"type": {
"type": "string",
"description": "The type of environment variable",
"enum": [
"system",
"encrypted",
"plain",
"sensitive"
]
},
"value": {
"type": "string",
"description": "The value of the environment variable"
}
},
"required": [
"PCID",
"idOrName",
"id"
]
}
vercel_projects_filter_project_envs
Retrieve the environment variables of a project by id or name Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
idOrName | string | Yes | — | The unique project identifier or the project name |
gitBranch | string | No | — | If defined, the git branch of the environment variable to filter the results (must have target=preview) |
decrypt | string | No | — | If true, the environment variable value will be decrypted |
source | string | No | — | The source that is calling the endpoint. |
customEnvironmentId | string | No | — | The unique custom environment identifier within the project |
customEnvironmentSlug | string | No | — | The custom environment slug (name) within the project |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"idOrName": {
"type": "string",
"description": "The unique project identifier or the project name"
},
"gitBranch": {
"type": "string",
"description": "If defined, the git branch of the environment variable to filter the results (must have target=preview)"
},
"decrypt": {
"type": "string",
"description": "If true, the environment variable value will be decrypted",
"enum": [
"true",
"false"
]
},
"source": {
"type": "string",
"description": "The source that is calling the endpoint."
},
"customEnvironmentId": {
"type": "string",
"description": "The unique custom environment identifier within the project"
},
"customEnvironmentSlug": {
"type": "string",
"description": "The custom environment slug (name) within the project"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"idOrName"
]
}
vercel_projects_get_by_id_or_name_custom_environments
Retrieve custom environments Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
idOrName | string | Yes | — | The unique project identifier or the project name |
gitBranch | string | No | — | Fetch custom environments for a specific git branch |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"idOrName": {
"type": "string",
"description": "The unique project identifier or the project name"
},
"gitBranch": {
"type": "string",
"description": "Fetch custom environments for a specific git branch"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"idOrName"
]
}
vercel_projects_get_custom_environment
Retrieve a custom environment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
idOrName | string | Yes | — | The unique project identifier or the project name |
environmentSlugOrId | string | Yes | — | The unique custom environment identifier within the project |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"idOrName": {
"type": "string",
"description": "The unique project identifier or the project name"
},
"environmentSlugOrId": {
"type": "string",
"description": "The unique custom environment identifier within the project"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"idOrName",
"environmentSlugOrId"
]
}
vercel_projects_get_project
Find a project by id or name Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
idOrName | object | Yes | — | The unique project identifier or the project name |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"idOrName": {
"description": "The unique project identifier or the project name"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"idOrName"
]
}
vercel_projects_get_project_domain
Get a project domain Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
idOrName | string | Yes | — | The unique project identifier or the project name |
domain | string | Yes | — | The project domain name |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"idOrName": {
"type": "string",
"description": "The unique project identifier or the project name"
},
"domain": {
"type": "string",
"description": "The project domain name"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"idOrName",
"domain"
]
}
vercel_projects_get_project_domains
Retrieve project domains by project by id or name Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
idOrName | string | Yes | — | The unique project identifier or the project name |
production | object | No | — | Filters only production domains when set to true. |
target | string | No | — | Filters on the target of the domain. Can be either “production”, “preview” |
customEnvironmentId | string | No | — | The unique custom environment identifier within the project |
gitBranch | string | No | — | Filters domains based on specific branch. |
redirects | object | No | — | Excludes redirect project domains when “false”. Includes redirect project domains when “true” (default). |
redirect | string | No | — | Filters domains based on their redirect target. |
verified | object | No | — | Filters domains based on their verification status. |
limit | number | No | — | Maximum number of domains to list from a request (max 100). |
since | number | No | — | Get domains created after this JavaScript timestamp. |
until | number | No | — | Get domains created before this JavaScript timestamp. |
order | object | No | — | Domains sort order by createdAt |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"idOrName": {
"type": "string",
"description": "The unique project identifier or the project name"
},
"production": {
"description": "Filters only production domains when set to `true`.",
"enum": [
"true",
"false"
]
},
"target": {
"type": "string",
"description": "Filters on the target of the domain. Can be either \\\"production\\\", \\\"preview\\\"",
"enum": [
"production",
"preview"
]
},
"customEnvironmentId": {
"type": "string",
"description": "The unique custom environment identifier within the project"
},
"gitBranch": {
"type": "string",
"description": "Filters domains based on specific branch."
},
"redirects": {
"description": "Excludes redirect project domains when \\\"false\\\". Includes redirect project domains when \\\"true\\\" (default).",
"enum": [
"true",
"false"
]
},
"redirect": {
"type": "string",
"description": "Filters domains based on their redirect target."
},
"verified": {
"description": "Filters domains based on their verification status.",
"enum": [
"true",
"false"
]
},
"limit": {
"type": "number",
"description": "Maximum number of domains to list from a request (max 100)."
},
"since": {
"type": "number",
"description": "Get domains created after this JavaScript timestamp."
},
"until": {
"type": "number",
"description": "Get domains created before this JavaScript timestamp."
},
"order": {
"description": "Domains sort order by createdAt",
"enum": [
"ASC",
"DESC"
]
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"idOrName"
]
}
vercel_projects_get_project_env
Retrieve the decrypted value of an environment variable of a project by id Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
idOrName | string | Yes | — | The unique project identifier or the project name |
id | string | Yes | — | The unique ID for the environment variable to get the decrypted value. |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"idOrName": {
"type": "string",
"description": "The unique project identifier or the project name"
},
"id": {
"type": "string",
"description": "The unique ID for the environment variable to get the decrypted value."
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"idOrName",
"id"
]
}
vercel_projects_get_project_members
List project members Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
idOrName | string | Yes | — | The ID or name of the Project. |
limit | integer | No | — | Limit how many project members should be returned |
since | integer | No | — | Timestamp in milliseconds to only include members added since then. |
until | integer | No | — | Timestamp in milliseconds to only include members added until then. |
search | string | No | — | Search project members by their name, username, and email. |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"idOrName": {
"type": "string",
"description": "The ID or name of the Project."
},
"limit": {
"type": "integer",
"description": "Limit how many project members should be returned"
},
"since": {
"type": "integer",
"description": "Timestamp in milliseconds to only include members added since then."
},
"until": {
"type": "integer",
"description": "Timestamp in milliseconds to only include members added until then."
},
"search": {
"type": "string",
"description": "Search project members by their name, username, and email."
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"idOrName"
]
}
vercel_projects_get_projects
Retrieve a list of projects Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
from | string | No | — | Query only projects updated after the given timestamp or continuation token. |
gitForkProtection | string | No | — | Specifies whether PRs from Git forks should require a team member’s authorization before it can be deployed |
limit | string | No | — | Limit the number of projects returned |
search | string | No | — | Search projects by the name field |
repo | string | No | — | Filter results by repo. Also used for project count |
repoId | string | No | — | Filter results by Repository ID. |
repoUrl | string | No | — | Filter results by Repository URL. |
excludeRepos | string | No | — | Filter results by excluding those projects that belong to a repo |
edgeConfigId | string | No | — | Filter results by connected Edge Config ID |
edgeConfigTokenId | string | No | — | Filter results by connected Edge Config Token ID |
deprecated | boolean | No | — | The deprecated value |
elasticConcurrencyEnabled | string | No | — | Filter results by projects with elastic concurrency enabled |
staticIpsEnabled | string | No | — | Filter results by projects with Static IPs enabled |
buildMachineTypes | string | No | — | Filter results by build machine types. Accepts comma-separated values. Use “default” for projects without a build machine type set. |
buildQueueConfiguration | string | No | — | Filter results by build queue configuration. SKIP_NAMESPACE_QUEUE includes projects without a configuration set. |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"from": {
"type": "string",
"description": "Query only projects updated after the given timestamp or continuation token."
},
"gitForkProtection": {
"type": "string",
"description": "Specifies whether PRs from Git forks should require a team member's authorization before it can be deployed",
"enum": [
"1",
"0"
]
},
"limit": {
"type": "string",
"description": "Limit the number of projects returned"
},
"search": {
"type": "string",
"description": "Search projects by the name field"
},
"repo": {
"type": "string",
"description": "Filter results by repo. Also used for project count"
},
"repoId": {
"type": "string",
"description": "Filter results by Repository ID."
},
"repoUrl": {
"type": "string",
"description": "Filter results by Repository URL."
},
"excludeRepos": {
"type": "string",
"description": "Filter results by excluding those projects that belong to a repo"
},
"edgeConfigId": {
"type": "string",
"description": "Filter results by connected Edge Config ID"
},
"edgeConfigTokenId": {
"type": "string",
"description": "Filter results by connected Edge Config Token ID"
},
"deprecated": {
"type": "boolean",
"description": "The deprecated value"
},
"elasticConcurrencyEnabled": {
"type": "string",
"description": "Filter results by projects with elastic concurrency enabled",
"enum": [
"1",
"0"
]
},
"staticIpsEnabled": {
"type": "string",
"description": "Filter results by projects with Static IPs enabled",
"enum": [
"0",
"1"
]
},
"buildMachineTypes": {
"type": "string",
"description": "Filter results by build machine types. Accepts comma-separated values. Use \\\"default\\\" for projects without a build machine type set."
},
"buildQueueConfiguration": {
"type": "string",
"description": "Filter results by build queue configuration. SKIP_NAMESPACE_QUEUE includes projects without a configuration set.",
"enum": [
"SKIP_NAMESPACE_QUEUE",
"WAIT_FOR_NAMESPACE_QUEUE"
]
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID"
]
}
vercel_projects_get_shared_env_var
Retrieve the decrypted value of a Shared Environment Variable by id. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The unique ID for the Shared Environment Variable to get the decrypted value. |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The unique ID for the Shared Environment Variable to get the decrypted value."
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"id"
]
}
vercel_projects_list_promote_aliases
Gets a list of aliases with status for the current promote Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
projectId | string | Yes | — | Project Id |
limit | number | No | — | Maximum number of aliases to list from a request (max 100). |
since | number | No | — | Get aliases created after this epoch timestamp. |
until | number | No | — | Get aliases created before this epoch timestamp. |
failedOnly | boolean | No | — | Filter results down to aliases that failed to map to the requested deployment |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"projectId": {
"type": "string",
"description": "Project Id"
},
"limit": {
"type": "number",
"description": "Maximum number of aliases to list from a request (max 100)."
},
"since": {
"type": "number",
"description": "Get aliases created after this epoch timestamp."
},
"until": {
"type": "number",
"description": "Get aliases created before this epoch timestamp."
},
"failedOnly": {
"type": "boolean",
"description": "Filter results down to aliases that failed to map to the requested deployment"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"projectId"
]
}
vercel_projects_list_shared_env_variable
Lists all Shared Environment Variables for a team Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
search | string | No | — | The search value |
projectId | string | No | — | Filter SharedEnvVariables that belong to a project |
ids | string | No | — | Filter SharedEnvVariables based on comma separated ids |
exclude_ids | string | No | — | Filter SharedEnvVariables based on comma separated ids |
exclude-ids | string | No | — | Filter SharedEnvVariables based on comma separated ids |
exclude_projectId | string | No | — | Filter SharedEnvVariables that belong to a project |
exclude-projectId | string | No | — | Filter SharedEnvVariables that belong to a project |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"search": {
"type": "string",
"description": "The search value"
},
"projectId": {
"type": "string",
"description": "Filter SharedEnvVariables that belong to a project"
},
"ids": {
"type": "string",
"description": "Filter SharedEnvVariables based on comma separated ids"
},
"exclude_ids": {
"type": "string",
"description": "Filter SharedEnvVariables based on comma separated ids"
},
"exclude-ids": {
"type": "string",
"description": "Filter SharedEnvVariables based on comma separated ids"
},
"exclude_projectId": {
"type": "string",
"description": "Filter SharedEnvVariables that belong to a project"
},
"exclude-projectId": {
"type": "string",
"description": "Filter SharedEnvVariables that belong to a project"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID"
]
}
vercel_projects_move_project_domain
Move a project domain Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
idOrName | string | Yes | — | The unique project identifier or the project name | |
domain | string | Yes | — | The project domain name | |
teamId | string | No | — | The Team identifier to perform the request on behalf of. | |
slug | string | No | — | The Team slug to perform the request on behalf of. | |
gitBranch | string | null | No | — | Git branch to link the project domain |
projectId | string | Yes | — | The unique target project identifier | |
redirect | string | null | No | — | Target destination domain for redirect |
redirectStatusCode | integer | null | No | — | Status code for domain redirect |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"idOrName": {
"type": "string",
"description": "The unique project identifier or the project name"
},
"domain": {
"type": "string",
"description": "The project domain name"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"gitBranch": {
"type": [
"string",
"null"
],
"description": "Git branch to link the project domain"
},
"projectId": {
"type": "string",
"description": "The unique target project identifier"
},
"redirect": {
"type": [
"string",
"null"
],
"description": "Target destination domain for redirect"
},
"redirectStatusCode": {
"type": [
"integer",
"null"
],
"description": "Status code for domain redirect",
"enum": [
301,
302,
307,
308
]
}
},
"required": [
"PCID",
"idOrName",
"domain",
"projectId"
]
}
vercel_projects_pause_project
Pause a project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
projectId | string | Yes | — | The unique project identifier |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"projectId": {
"type": "string",
"description": "The unique project identifier"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"projectId"
]
}
vercel_projects_remove_custom_environment
Remove a custom environment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
idOrName | string | Yes | — | The unique project identifier or the project name |
environmentSlugOrId | string | Yes | — | The unique custom environment identifier within the project |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
deleteUnassignedEnvironmentVariables | boolean | No | — | Delete Environment Variables that are not assigned to any environments. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"idOrName": {
"type": "string",
"description": "The unique project identifier or the project name"
},
"environmentSlugOrId": {
"type": "string",
"description": "The unique custom environment identifier within the project"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"deleteUnassignedEnvironmentVariables": {
"type": "boolean",
"description": "Delete Environment Variables that are not assigned to any environments."
}
},
"required": [
"PCID",
"idOrName",
"environmentSlugOrId"
]
}
vercel_projects_remove_project_domain
Remove a domain from a project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
idOrName | string | Yes | — | The unique project identifier or the project name |
domain | string | Yes | — | The project domain name |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
removeRedirects | boolean | No | — | Whether to remove all domains from this project that redirect to the domain being removed. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"idOrName": {
"type": "string",
"description": "The unique project identifier or the project name"
},
"domain": {
"type": "string",
"description": "The project domain name"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"removeRedirects": {
"type": "boolean",
"description": "Whether to remove all domains from this project that redirect to the domain being removed."
}
},
"required": [
"PCID",
"idOrName",
"domain"
]
}
vercel_projects_remove_project_env
Remove an environment variable Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
idOrName | string | Yes | — | The unique project identifier or the project name |
id | string | Yes | — | The unique environment variable identifier |
customEnvironmentId | string | No | — | The unique custom environment identifier within the project |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"idOrName": {
"type": "string",
"description": "The unique project identifier or the project name"
},
"id": {
"type": "string",
"description": "The unique environment variable identifier"
},
"customEnvironmentId": {
"type": "string",
"description": "The unique custom environment identifier within the project"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"idOrName",
"id"
]
}
vercel_projects_remove_project_member
Remove a Project Member Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
idOrName | string | Yes | — | The ID or name of the Project. |
uid | string | Yes | — | The user ID of the member. |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"idOrName": {
"type": "string",
"description": "The ID or name of the Project."
},
"uid": {
"type": "string",
"description": "The user ID of the member."
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"idOrName",
"uid"
]
}
vercel_projects_request_promote
Points all production domains for a project to the given deploy Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
projectId | string | Yes | — | Project Id |
deploymentId | string | Yes | — | Deployment Id |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"projectId": {
"type": "string",
"description": "Project Id"
},
"deploymentId": {
"type": "string",
"description": "Deployment Id"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"projectId",
"deploymentId"
]
}
vercel_projects_request_rollback
Points all production domains for a project to the given deploy Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
projectId | string | Yes | — | Project Id |
deploymentId | string | Yes | — | The ID of the deployment to rollback to |
description | string | No | — | The reason for the rollback |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"projectId": {
"type": "string",
"description": "Project Id"
},
"deploymentId": {
"type": "string",
"description": "The ID of the deployment to rollback *to*"
},
"description": {
"type": "string",
"description": "The reason for the rollback"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"projectId",
"deploymentId"
]
}
vercel_projects_unlink_shared_env_variable
Disconnects a shared environment variable for a given project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | The unique ID for the Shared Environment Variable to unlink from the project. |
projectId | string | Yes | — | Project Id |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"id": {
"type": "string",
"description": "The unique ID for the Shared Environment Variable to unlink from the project."
},
"projectId": {
"type": "string",
"description": "Project Id"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"id",
"projectId"
]
}
vercel_projects_unpause_project
Unpause a project Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
projectId | string | Yes | — | The unique project identifier |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"projectId": {
"type": "string",
"description": "The unique project identifier"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"projectId"
]
}
vercel_projects_update_custom_environment
Update a custom environment Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
idOrName | string | Yes | — | The unique project identifier or the project name |
environmentSlugOrId | string | Yes | — | The unique custom environment identifier within the project |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
branchMatcher | object | No | — | How we want to determine a matching branch. This is optional. |
description | string | No | — | Description of the custom environment. This is optional. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"idOrName": {
"type": "string",
"description": "The unique project identifier or the project name"
},
"environmentSlugOrId": {
"type": "string",
"description": "The unique custom environment identifier within the project"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"branchMatcher": {
"type": "object",
"description": "How we want to determine a matching branch. This is optional.",
"properties": {
"type": {
"description": "Type of matcher. One of \\\"equals\\\", \\\"startsWith\\\", or \\\"endsWith\\\".",
"enum": [
"equals",
"startsWith",
"endsWith"
]
},
"pattern": {
"type": "string",
"description": "Git branch name or portion thereof."
}
},
"required": [
"type",
"pattern"
]
},
"description": {
"type": "string",
"description": "Description of the custom environment. This is optional."
}
},
"required": [
"PCID",
"idOrName",
"environmentSlugOrId"
]
}
vercel_projects_update_microfrontends
Update the microfrontends settings Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
projectId | string | Yes | — | The unique project identifier |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
defaultRoute | string | No | — | The default route used for screenshots and preview links for the project |
doNotRouteWithMicrofrontendsRouting | boolean | No | — | Whether domains in this project should route as a microfrontend. Can only be set for child applications. |
enabled | boolean | No | — | Enable or disable microfrontends for the project |
isDefaultApp | boolean | No | — | Whether the application is the default application for the microfrontends group |
microfrontendsGroupId | string | No | — | The unique group identifier to add this microfrontend to |
routeObservabilityToThisProject | boolean | No | — | Whether observability data should be routed to this project or a root project. Can only be set for child applications. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"projectId": {
"type": "string",
"description": "The unique project identifier"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"defaultRoute": {
"type": "string",
"description": "The default route used for screenshots and preview links for the project"
},
"doNotRouteWithMicrofrontendsRouting": {
"type": "boolean",
"description": "Whether domains in this project should route as a microfrontend. Can only be set for child applications."
},
"enabled": {
"type": "boolean",
"description": "Enable or disable microfrontends for the project"
},
"isDefaultApp": {
"type": "boolean",
"description": "Whether the application is the default application for the microfrontends group"
},
"microfrontendsGroupId": {
"type": "string",
"description": "The unique group identifier to add this microfrontend to"
},
"routeObservabilityToThisProject": {
"type": "boolean",
"description": "Whether observability data should be routed to this project or a root project. Can only be set for child applications."
}
},
"required": [
"PCID",
"projectId"
]
}
vercel_projects_update_project
Update an existing project Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
idOrName | string | Yes | — | The unique project identifier or the project name | |
teamId | string | No | — | The Team identifier to perform the request on behalf of. | |
slug | string | No | — | The Team slug to perform the request on behalf of. | |
autoAssignCustomDomains | boolean | No | — | Auto Assign Custom Domains | |
autoAssignCustomDomainsUpdatedBy | string | No | — | Auto Assign Custom Domains Updated By | |
autoExposeSystemEnvs | boolean | No | — | Auto Expose System Envs | |
buildCommand | string | null | No | — | The build command for this project. When null is used this value will be automatically detected |
commandForIgnoringBuildStep | string | null | No | — | Command For Ignoring Build Step |
connectConfigurations | object[] | No | — | The list of connections from project environment to Secure Compute network | |
customerSupportCodeVisibility | boolean | No | — | Specifies whether customer support can see git source for a deployment | |
devCommand | string | null | No | — | The dev command for this project. When null is used this value will be automatically detected |
directoryListing | boolean | No | — | Directory Listing | |
dismissedToasts | object[] | No | — | An array of objects representing a Dismissed Toast in regards to a Project. Objects are either merged with existing toasts (on key match), or added to the dimissedToasts array.` | |
enableAffectedProjectsDeployments | boolean | No | — | Opt-in to skip deployments when there are no changes to the root directory and its dependencies | |
enableExternalRewriteCaching | boolean | No | — | Specifies whether external rewrite caching is enabled for this project. | |
enablePreviewFeedback | boolean | null | No | — | Opt-in to preview toolbar on the project level |
enableProductionFeedback | boolean | null | No | — | Opt-in to production toolbar on the project level |
framework | string | null | No | — | The framework that is being used for this project. When null is used no framework is selected |
gitForkProtection | boolean | No | — | Specifies whether PRs from Git forks should require a team member’s authorization before it can be deployed | |
gitLFS | boolean | No | — | Specifies whether Git LFS is enabled for this project. | |
installCommand | string | null | No | — | The install command for this project. When null is used this value will be automatically detected |
name | string | No | — | The desired name for the project | |
nodeVersion | string | No | — | Node Version | |
oidcTokenConfig | object | No | — | OpenID Connect JSON Web Token generation configuration. | |
optionsAllowlist | object | No | — | Specify a list of paths that should not be protected by Deployment Protection to enable Cors preflight requests | |
outputDirectory | string | null | No | — | The output directory of the project. When null is used this value will be automatically detected |
passwordProtection | object | No | — | Allows to protect project deployments with a password | |
previewDeploymentsDisabled | boolean | null | No | — | Specifies whether preview deployments are disabled for this project. |
previewDeploymentSuffix | string | null | No | — | Custom domain suffix for preview deployments. Takes precedence over team-level suffix. Must be a domain owned by the team. |
protectedSourcemaps | boolean | No | — | Specifies whether sourcemaps are protected and require authentication to access. | |
publicSource | boolean | null | No | — | Specifies whether the source code and logs of the deployments for this project should be public or not |
resourceConfig | object | No | — | Specifies resource override configuration for the project | |
rootDirectory | string | null | No | — | The name of a directory or relative path to the source code of your project. When null is used it will default to the project root |
serverlessFunctionRegion | string | null | No | — | The region to deploy Serverless Functions in this project |
serverlessFunctionZeroConfigFailover | boolean | No | — | Specifies whether Zero Config Failover is enabled for this project. | |
skewProtectionAllowedDomains | string[] | No | — | Cross-site domains allowed to fetch skew-protected assets (hostnames, optionally with leading wildcard like *.example.com). | |
skewProtectionBoundaryAt | integer | No | — | Deployments created before this absolute datetime have Skew Protection disabled. Value is in milliseconds since epoch to match “createdAt” fields. | |
skewProtectionMaxAge | integer | No | — | Deployments created before this rolling window have Skew Protection disabled. Value is in seconds to match “revalidate” fields. | |
skipGitConnectDuringLink | boolean | No | — | Opts-out of the message prompting a CLI user to connect a Git repository in vercel link. | |
sourceFilesOutsideRootDirectory | boolean | No | — | Indicates if there are source files outside of the root directory | |
ssoProtection | object | No | — | Ensures visitors to your Preview Deployments are logged into Vercel and have a minimum of Viewer access on your team | |
staticIps | object | No | — | Manage Static IPs for this project | |
tracing | object | No | — | Tracing configuration for this project | |
trustedIps | object | No | — | Restricts access to deployments based on the incoming request IP address |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"idOrName": {
"type": "string",
"description": "The unique project identifier or the project name"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"autoAssignCustomDomains": {
"type": "boolean",
"description": "Auto Assign Custom Domains"
},
"autoAssignCustomDomainsUpdatedBy": {
"type": "string",
"description": "Auto Assign Custom Domains Updated By"
},
"autoExposeSystemEnvs": {
"type": "boolean",
"description": "Auto Expose System Envs"
},
"buildCommand": {
"type": [
"string",
"null"
],
"description": "The build command for this project. When `null` is used this value will be automatically detected"
},
"commandForIgnoringBuildStep": {
"type": [
"string",
"null"
],
"description": "Command For Ignoring Build Step"
},
"connectConfigurations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"envId": {
"type": "string",
"description": "The ID of the environment"
},
"connectConfigurationId": {
"type": "string",
"description": "The ID of the Secure Compute network"
},
"passive": {
"type": "boolean",
"description": "Whether the configuration should be passive, meaning builds will not run there and only passive Serverless Functions will be deployed"
},
"buildsEnabled": {
"type": "boolean",
"description": "Flag saying if project builds should use Secure Compute"
}
},
"required": [
"envId",
"connectConfigurationId",
"passive",
"buildsEnabled"
]
},
"description": "The list of connections from project environment to Secure Compute network"
},
"customerSupportCodeVisibility": {
"type": "boolean",
"description": "Specifies whether customer support can see git source for a deployment"
},
"devCommand": {
"type": [
"string",
"null"
],
"description": "The dev command for this project. When `null` is used this value will be automatically detected"
},
"directoryListing": {
"type": "boolean",
"description": "Directory Listing"
},
"dismissedToasts": {
"type": "array",
"items": {
"type": "object",
"properties": {
"key": {
"type": "string",
"description": "unique identifier for the dismissed toast"
},
"dismissedAt": {
"type": "number",
"description": "unix timestamp representing the time the toast was dimissed"
},
"action": {
"enum": [
"cancel",
"accept",
"delete"
],
"description": "Whether the toast was dismissed, the action was accepted, or the dismissal with this key should be removed"
},
"value": {
"description": "The value value"
}
},
"required": [
"key",
"dismissedAt",
"action",
"value"
]
},
"description": "An array of objects representing a Dismissed Toast in regards to a Project. Objects are either merged with existing toasts (on key match), or added to the `dimissedToasts` array.`"
},
"enableAffectedProjectsDeployments": {
"type": "boolean",
"description": "Opt-in to skip deployments when there are no changes to the root directory and its dependencies"
},
"enableExternalRewriteCaching": {
"type": "boolean",
"description": "Specifies whether external rewrite caching is enabled for this project."
},
"enablePreviewFeedback": {
"type": [
"boolean",
"null"
],
"description": "Opt-in to preview toolbar on the project level"
},
"enableProductionFeedback": {
"type": [
"boolean",
"null"
],
"description": "Opt-in to production toolbar on the project level"
},
"framework": {
"type": [
"string",
"null"
],
"description": "The framework that is being used for this project. When `null` is used no framework is selected",
"enum": [
"services",
"blitzjs",
"nextjs",
"gatsby",
"remix",
"react-router",
"astro",
"hexo",
"eleventy",
"docusaurus-2",
"docusaurus",
"preact",
"solidstart-1",
"solidstart",
"dojo",
"ember",
"vue",
"scully",
"ionic-angular",
"angular",
"polymer",
"svelte",
"sveltekit",
"sveltekit-1",
"ionic-react",
"create-react-app",
"gridsome",
"umijs",
"sapper",
"saber",
"stencil",
"nuxtjs",
"redwoodjs",
"hugo",
"jekyll",
"brunch",
"middleman",
"zola",
"hydrogen",
"vite",
"tanstack-start",
"vitepress",
"vuepress",
"parcel",
"fastapi",
"flask",
"fasthtml",
"django",
"sanity-v3",
"sanity",
"storybook",
"nitro",
"hono",
"express",
"h3",
"koa",
"nestjs",
"elysia",
"fastify",
"xmcp",
"python",
"ruby",
"rust",
"node",
"go"
]
},
"gitForkProtection": {
"type": "boolean",
"description": "Specifies whether PRs from Git forks should require a team member's authorization before it can be deployed"
},
"gitLFS": {
"type": "boolean",
"description": "Specifies whether Git LFS is enabled for this project."
},
"installCommand": {
"type": [
"string",
"null"
],
"description": "The install command for this project. When `null` is used this value will be automatically detected"
},
"name": {
"type": "string",
"description": "The desired name for the project"
},
"nodeVersion": {
"type": "string",
"description": "Node Version",
"enum": [
"24.x",
"22.x",
"20.x",
"18.x",
"16.x",
"14.x",
"12.x",
"10.x"
]
},
"oidcTokenConfig": {
"type": "object",
"description": "OpenID Connect JSON Web Token generation configuration.",
"properties": {
"enabled": {
"type": "boolean",
"description": "Whether or not to generate OpenID Connect JSON Web Tokens."
},
"issuerMode": {
"type": "string",
"description": "team: `https://oidc.vercel.com/[team_slug]` global: `https://oidc.vercel.com`",
"enum": [
"team",
"global"
]
}
}
},
"optionsAllowlist": {
"type": "object",
"description": "Specify a list of paths that should not be protected by Deployment Protection to enable Cors preflight requests",
"properties": {
"paths": {
"type": "array",
"items": {
"type": "object"
},
"description": "The paths value"
}
},
"required": [
"paths"
]
},
"outputDirectory": {
"type": [
"string",
"null"
],
"description": "The output directory of the project. When `null` is used this value will be automatically detected"
},
"passwordProtection": {
"type": "object",
"description": "Allows to protect project deployments with a password",
"properties": {
"deploymentType": {
"type": "string",
"description": "Specify if the password will apply to every Deployment Target or just Preview",
"enum": [
"all",
"preview",
"prod_deployment_urls_and_all_previews",
"all_except_custom_domains"
]
},
"password": {
"type": "string",
"description": "The password that will be used to protect Project Deployments"
}
},
"required": [
"deploymentType"
]
},
"previewDeploymentsDisabled": {
"type": [
"boolean",
"null"
],
"description": "Specifies whether preview deployments are disabled for this project."
},
"previewDeploymentSuffix": {
"type": [
"string",
"null"
],
"description": "Custom domain suffix for preview deployments. Takes precedence over team-level suffix. Must be a domain owned by the team."
},
"protectedSourcemaps": {
"type": "boolean",
"description": "Specifies whether sourcemaps are protected and require authentication to access."
},
"publicSource": {
"type": [
"boolean",
"null"
],
"description": "Specifies whether the source code and logs of the deployments for this project should be public or not"
},
"resourceConfig": {
"type": "object",
"description": "Specifies resource override configuration for the project",
"properties": {
"buildMachineType": {
"description": "Build Machine Type",
"enum": [
"enhanced",
"turbo",
"standard",
"elastic"
]
},
"buildQueue": {
"type": "object",
"description": "Build Queue"
},
"fluid": {
"type": "boolean",
"description": "The fluid value"
},
"functionDefaultRegions": {
"type": "array",
"items": {
"type": "string"
},
"description": "The regions to deploy Vercel Functions to for this project"
},
"functionDefaultTimeout": {
"type": "number",
"description": "Function Default Timeout"
},
"functionDefaultMemoryType": {
"description": "Function Default Memory Type",
"enum": [
"standard_legacy",
"standard",
"performance"
]
},
"functionZeroConfigFailover": {
"type": "boolean",
"description": "Specifies whether Zero Config Failover is enabled for this project."
},
"elasticConcurrencyEnabled": {
"type": "boolean",
"description": "Elastic Concurrency Enabled"
},
"buildMachineSelection": {
"description": "Build Machine Selection",
"enum": [
"elastic",
"fixed"
]
},
"buildMachineElasticLastUpdated": {
"type": "number",
"description": "Build Machine Elastic Last Updated"
},
"isNSNBDisabled": {
"type": "boolean",
"description": "Is NSNB Disabled"
}
}
},
"rootDirectory": {
"type": [
"string",
"null"
],
"description": "The name of a directory or relative path to the source code of your project. When `null` is used it will default to the project root"
},
"serverlessFunctionRegion": {
"type": [
"string",
"null"
],
"description": "The region to deploy Serverless Functions in this project"
},
"serverlessFunctionZeroConfigFailover": {
"type": "boolean",
"description": "Specifies whether Zero Config Failover is enabled for this project."
},
"skewProtectionAllowedDomains": {
"type": "array",
"items": {
"type": "string"
},
"description": "Cross-site domains allowed to fetch skew-protected assets (hostnames, optionally with leading wildcard like *.example.com)."
},
"skewProtectionBoundaryAt": {
"type": "integer",
"description": "Deployments created before this absolute datetime have Skew Protection disabled. Value is in milliseconds since epoch to match \\\"createdAt\\\" fields."
},
"skewProtectionMaxAge": {
"type": "integer",
"description": "Deployments created before this rolling window have Skew Protection disabled. Value is in seconds to match \\\"revalidate\\\" fields."
},
"skipGitConnectDuringLink": {
"type": "boolean",
"description": "Opts-out of the message prompting a CLI user to connect a Git repository in `vercel link`."
},
"sourceFilesOutsideRootDirectory": {
"type": "boolean",
"description": "Indicates if there are source files outside of the root directory"
},
"ssoProtection": {
"type": "object",
"description": "Ensures visitors to your Preview Deployments are logged into Vercel and have a minimum of Viewer access on your team",
"properties": {
"deploymentType": {
"type": "string",
"description": "Specify if the Vercel Authentication (SSO Protection) will apply to every Deployment Target or just Preview",
"enum": [
"all",
"preview",
"prod_deployment_urls_and_all_previews",
"all_except_custom_domains"
]
}
},
"required": [
"deploymentType"
]
},
"staticIps": {
"type": "object",
"description": "Manage Static IPs for this project",
"properties": {
"enabled": {
"type": "boolean",
"description": "Opt-in to Static IPs for this project"
}
},
"required": [
"enabled"
]
},
"tracing": {
"type": "object",
"description": "Tracing configuration for this project",
"properties": {
"domains": {
"type": "string",
"description": "Comma-separated list of drain endpoint domains"
},
"ignorePaths": {
"type": "array",
"items": {
"type": "string"
},
"description": "Paths to ignore for tracing"
},
"samplingRules": {
"type": "array",
"items": {
"type": "object"
},
"description": "Sampling rules for trace collection"
}
}
},
"trustedIps": {
"type": "object",
"description": "Restricts access to deployments based on the incoming request IP address",
"properties": {
"deploymentType": {
"type": "string",
"description": "Specify if the Trusted IPs will apply to every Deployment Target or just Preview",
"enum": [
"all",
"preview",
"production",
"prod_deployment_urls_and_all_previews",
"all_except_custom_domains"
]
},
"addresses": {
"type": "array",
"items": {
"type": "object"
},
"description": "The addresses value"
},
"protectionMode": {
"type": "string",
"description": "exclusive: ip match is enough to bypass deployment protection (regardless of other settings). additional: ip must match + any other protection should be also provided (password, vercel auth, shareable link, automation bypass header, automation bypass query param)",
"enum": [
"exclusive",
"additional"
]
}
},
"required": [
"deploymentType",
"addresses",
"protectionMode"
]
}
},
"required": [
"PCID",
"idOrName"
]
}
vercel_projects_update_project_domain
Update a project domain Parameters:| Parameter | Type | Required | Default | Description | |
|---|---|---|---|---|---|
idOrName | string | Yes | — | The unique project identifier or the project name | |
domain | string | Yes | — | The project domain name | |
teamId | string | No | — | The Team identifier to perform the request on behalf of. | |
slug | string | No | — | The Team slug to perform the request on behalf of. | |
gitBranch | string | null | No | — | Git branch to link the project domain |
redirect | string | null | No | — | Target destination domain for redirect |
redirectStatusCode | integer | null | No | — | Status code for domain redirect |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"idOrName": {
"type": "string",
"description": "The unique project identifier or the project name"
},
"domain": {
"type": "string",
"description": "The project domain name"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"gitBranch": {
"type": [
"string",
"null"
],
"description": "Git branch to link the project domain"
},
"redirect": {
"type": [
"string",
"null"
],
"description": "Target destination domain for redirect"
},
"redirectStatusCode": {
"type": [
"integer",
"null"
],
"description": "Status code for domain redirect",
"enum": [
301,
302,
307,
308
]
}
},
"required": [
"PCID",
"idOrName",
"domain"
]
}
vercel_projects_update_project_protection_bypass
Update Protection Bypass for Automation Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
idOrName | string | Yes | — | The unique project identifier or the project name |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
generate | object | No | — | Generate a new secret. If neither generate or revoke are provided, a new random secret will be generated. |
revoke | object | No | — | Optional instructions for revoking and regenerating a automation bypass |
update | object | No | — | Update an existing bypass |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"idOrName": {
"type": "string",
"description": "The unique project identifier or the project name"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"generate": {
"type": "object",
"description": "Generate a new secret. If neither generate or revoke are provided, a new random secret will be generated.",
"properties": {
"secret": {
"type": "string",
"description": "Optional value of the secret to generate, don't send it for oauth2 tokens"
},
"note": {
"type": "string",
"description": "Note to be displayed in the UI for this bypass"
}
}
},
"revoke": {
"type": "object",
"description": "Optional instructions for revoking and regenerating a automation bypass",
"properties": {
"secret": {
"type": "string",
"description": "Automation bypass to revoked"
},
"regenerate": {
"type": "boolean",
"description": "Whether or not a new automation bypass should be created after the provided secret is revoked"
}
},
"required": [
"secret",
"regenerate"
]
},
"update": {
"type": "object",
"description": "Update an existing bypass",
"properties": {
"secret": {
"type": "string",
"description": "Automation bypass to updated"
},
"isEnvVar": {
"type": "boolean",
"description": "Whether or not this bypass is set as the VERCEL_AUTOMATION_BYPASS_SECRET environment variable on deployments"
},
"note": {
"type": "string",
"description": "Note to be displayed in the UI for this bypass"
}
},
"required": [
"secret"
]
}
},
"required": [
"PCID",
"idOrName"
]
}
vercel_projects_update_projects_by_project_id_rollback_by_deployment_id_update_description
Updates the description for a rollback Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
projectId | string | Yes | — | Project Id |
deploymentId | string | Yes | — | Deployment Id |
description | string | No | — | The reason for the rollback |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"projectId": {
"type": "string",
"description": "Project Id"
},
"deploymentId": {
"type": "string",
"description": "Deployment Id"
},
"description": {
"type": "string",
"description": "The reason for the rollback"
}
},
"required": [
"PCID",
"projectId",
"deploymentId"
]
}
vercel_projects_update_shared_env_variable
Updates one or more shared environment variables Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
updates | object | Yes | — | An object where each key is an environment variable ID (not the key name) and the value is the update to apply |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
},
"updates": {
"type": "object",
"description": "An object where each key is an environment variable ID (not the key name) and the value is the update to apply"
}
},
"required": [
"PCID",
"updates"
]
}
vercel_projects_verify_project_domain
Verify project domain Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
idOrName | string | Yes | — | The unique project identifier or the project name |
domain | string | Yes | — | The domain name you want to verify |
teamId | string | No | — | The Team identifier to perform the request on behalf of. |
slug | string | No | — | The Team slug to perform the request on behalf of. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"idOrName": {
"type": "string",
"description": "The unique project identifier or the project name"
},
"domain": {
"type": "string",
"description": "The domain name you want to verify"
},
"teamId": {
"type": "string",
"description": "The Team identifier to perform the request on behalf of."
},
"slug": {
"type": "string",
"description": "The Team slug to perform the request on behalf of."
}
},
"required": [
"PCID",
"idOrName",
"domain"
]
}

